System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

is a derived class of and can occur in correct applications. Because typically the code that calls the method reports the error condition that caused the call to , this exception indicates that the call failed but the most useful error information is elsewhere.

The exception that is thrown when the call is to an object that has aborted.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new using the specified .

  Initializes a new instance of the class with the specified message.

- Constructor
  4.0.0.0

  This constructor is called during deserialization to restore the exception object transmitted over a stream.

  Initializes a new instance of the class used to deserialize data into a object.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Creates a new using the specified and .

  Initializes a new instance of the class using the specified message and inner exception.